{% extends "utilisateur.html" %}
{% load static icon %}

{% block head_css %}
    <link href="{% static 'utilisateur/css/login.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block no_javascript_error %}
    {% include "no_javascript_error.html" %}
{% endblock %}

{% block footer_javascript %}
    <script>let usernameField = $("#{{ form.username.id_for_label }}");</script>
    <script type="text/javascript" src="{% static 'utilisateur/js/login.js' %}"></script>
{% endblock %}

{% block modal_cgu %}
{% endblock %}

{% block content %}
    <div class="login-page">
        <div id="login-form">
            <div id="email-used-as-username" class="alert alert-danger" style="display: none">
                <strong>Vous êtes en train d'utiliser une adresse mail en tant que nom d'utilisateur! Utilisez votre nom
                    d'utilisateur à la place.</strong>
            </div>

            {% if messages %}
                <ul class="messages">
                    {% for message in messages %}
                        <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}Important: {% endif %}
                            {{ message }}
                        </li>
                    {% endfor %}
                </ul>
            {% endif %}

            <form class="form" method="post" action="{% url 'connexion' %}"
                  accept-charset="UTF-8">
                {% csrf_token %}

                {% if form.errors %}
                    {% for field in form %}
                        {% for error in field.errors %}
                            <div class="alert alert-danger">
                                <strong>{{ error|escape }}</strong>
                            </div>
                        {% endfor %}
                    {% endfor %}
                    {% for error in form.non_field_errors %}
                        <div class="alert alert-danger">
                            <strong>{{ error|escape }}</strong>
                        </div>
                    {% endfor %}
                {% endif %}

                <div class="form-group">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-user"></i></span>
                        </div>
                        <input type="text" class="form-control" id="{{ form.username.id_for_label }}"
                               name="{{ form.username.html_name }}"
                               placeholder="Nom d'utilisateur" required>
                    </div>
                </div>

                <div class="form-group">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-key"></i></span>
                        </div>
                        <input type="password" class="form-control"
                               id="{{ form.password.id_for_label }}" name="{{ form.password.html_name }}"
                               placeholder="Mot de passe"
                               required>
                    </div>
                </div>

                <div class="form-group">
                    <button id="btnSubmit" type="button" class="btn btn-primary btn-block" onclick="sendFormIfValid()">
                        Login
                    </button>
                    <input type="hidden" name="next" value="{{ next }}"/>
                </div>

            </form>

            <div class="bottom text-center">
                <div class="help-block text-center"><a href="{% url 'username' %}">Nom d'utilisateur oublié</a></div>
                <div class="help-block text-center"><a href="{% url 'password_reset' %}">Mot de passe oublié</a></div>
                Nouveau ici? <a href="{% url 'inscription' %}"><b>Inscription</b></a>
            </div>
        </div>
    </div>

{% endblock %}